package ru.ulstu.model;

import javax.persistence.Entity;
import javax.persistence.Lob;
import java.util.Date;

@Entity
public class News extends BaseEntity {
    private final static int MAX_NEWS_TEXT_PREVIEW_LENGTH = 800;

    private String title;

    private Date date;

    @Lob
    private String text;

    public News() {
    }

    public News(String title, Date date, String text) {
        this.title = title;
        this.date = date;
        this.text = text;
    }

    public String getTitle() {
        return title;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public void setText(String text) {
        this.text = text;
    }

    public String getText() {
        return text;
    }

    public String getPreview() {
        return text != null && text.length() > MAX_NEWS_TEXT_PREVIEW_LENGTH
                ? text.substring(0, MAX_NEWS_TEXT_PREVIEW_LENGTH) + "..."
                : text;
    }
}
