package ru.ulstu.service;

import org.springframework.stereotype.Service;
import ru.ulstu.model.News;
import ru.ulstu.repository.NewsRepository;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

@Service
public class NewsService {
    private final NewsRepository newsRepository;

    public NewsService(NewsRepository newsRepository) {
        this.newsRepository = newsRepository;
    }

    public void create(String title, String text) {
        newsRepository.save(new News(title, new Date(), text));
    }

    public void create(News news) {
        news.setDate(new Date());
        newsRepository.save(news);
    }

    public void save(News news) {
        if (news.getId() != null && (news.getId() != 0)) {
            newsRepository.save(news);
        } else {
            create(news);
        }
    }

    public News getById(@NotNull Integer id) {
        return newsRepository
                .findById(id)
                .orElseThrow(() -> new RuntimeException("Новость не найдена"));
    }

    public List<News> getAll() {
        return newsRepository.findAll();
    }
}
